Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.optimization
Class RealPointValuePair

    java.lang.Object
      org.apache.commons.math.optimization.RealPointValuePair

All Implemented Interfaces:
  Serializable

    public class RealPointValuePair

extends Object
implements Serializable

This class holds a point and the value of an objective function at this point.

This is a simple immutable container.

Since:
  2.0
Version:
  $Revision: 980981 $ $Date: 2010-07-31 00:03:04 +0200 (sam. 31 juil. 2010) $
See Also:
  `VectorialPointValuePair`, `MultivariateRealFunction`, Serialized Form

Constructor Summary
`RealPointValuePair(double[] point, double value)` Build a point/objective function value pair.
`RealPointValuePair(double[] point, double value, boolean copyArray)` Build a point/objective function value pair.

Method Summary
`double[]` | `getPoint()` Get the point.
`double[]` | `getPointRef()` Get a reference to the point.
`double` | `getValue()` Get the value of the objective function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RealPointValuePair

    public RealPointValuePair(double[] point,
                              double value)

  Build a point/objective function value pair.

  Parameters:
    `point` - point coordinates (the built instance will store a copy of the array, not the array passed as argument)
    `value` - value of an objective function at the point

### RealPointValuePair

    public RealPointValuePair(double[] point,
                              double value,
                              boolean copyArray)

  Build a point/objective function value pair.

  Parameters:
    `point` - point coordinates (the built instance will store a copy of the array, not the array passed as argument)
    `value` - value of an objective function at the point
    `copyArray` - if true, the input array will be copied, otherwise it will be referenced

Method Detail

### getPoint

    public double[] getPoint()

  Get the point.

  Returns:
    a copy of the stored point

### getPointRef

    public double[] getPointRef()

  Get a reference to the point.

  This method is provided as a convenience to avoid copying the array, the elements of the array should not be modified.

  Returns:
    a reference to the internal array storing the point

### getValue

    public double getValue()

  Get the value of the objective function.

  Returns:
    the stored value of the objective function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.